/*
Тестировалось на Arduino IDE 1.8.5
Дата тестирования 19.02.2019г.
*/ 

#include <IRremote.h>                  // Подключаем библиотеку IRremote

const int RECV_PIN = 7;                // Указываем к какому выводу подключен IN
IRrecv irrecv(RECV_PIN);
decode_results results;

void setup()
{
  Serial.begin(9600);                  // Открытие последовательную связь
  irrecv.enableIRIn();                 // Запустить приемника    
}

void loop()
{
  if (irrecv.decode(&results))         
  {
   Serial.println(results.value, HEX); // Печатаем полученные показания
   delay(300);
   irrecv.resume();                    // Получение следующего значения
  }
   delay(300);
}
